<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseShipResponse StructType
 * @subpackage Structs
 */
class CruiseShipResponse extends AbstractStructBase
{
    /**
     * The CruiseShipRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CruiseShipRS;
    /**
     * Constructor method for CruiseShipResponse
     * @uses CruiseShipResponse::setCruiseShipRS()
     * @param \StructType\JP_StaticDataRS $cruiseShipRS
     */
    public function __construct(\StructType\JP_StaticDataRS $cruiseShipRS = null)
    {
        $this
            ->setCruiseShipRS($cruiseShipRS);
    }
    /**
     * Get CruiseShipRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCruiseShipRS()
    {
        return $this->CruiseShipRS;
    }
    /**
     * Set CruiseShipRS value
     * @param \StructType\JP_StaticDataRS $cruiseShipRS
     * @return \StructType\CruiseShipResponse
     */
    public function setCruiseShipRS(\StructType\JP_StaticDataRS $cruiseShipRS = null)
    {
        $this->CruiseShipRS = $cruiseShipRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseShipResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
